Package com.pixelmed.anatproc

# Class ProjectionXRayAnatomy

java.lang.Object
com.pixelmed.anatproc.ProjectionXRayAnatomy

public class ProjectionXRayAnatomy extends Object

This class encapsulates information pertaining to anatomy of projection x-ray images.

Utility methods provide for the detection of anatomy from various header attributes regardless of whether these are formal codes, code strings or free text comments.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static DisplayableAnatomicConcept[]`
`anatomicConceptEntries`
`protected static DictionaryOfConcepts`
`anatomyConcepts`
`protected static String[]`
`badAnatomyWords`
`protected static String[]`
`badLateralityOrViewOrAnatomyPhraseTriggers`
`protected static String[]`
`badLateralityWords`
`protected static String[]`
`badViewWords`
`protected static DisplayableLateralityConcept[]`
`lateralityConceptEntries`
`protected static DictionaryOfConcepts`
`lateralityConcepts`
`protected static DisplayableViewConcept[]`
`viewPositionConceptEntries`
`protected static DictionaryOfConcepts`
`viewPositionConcepts`

## Constructor Summary

Constructors
Constructor
Description
`ProjectionXRayAnatomy()`

## Method Summary

Modifier and Type
Method
Description
`static DisplayableConcept`
`findAmongstGeneralAttributes(AttributeList list, DictionaryOfConcepts concepts, String[] badPhraseTriggers)`
`static DisplayableAnatomicConcept`
`findAnatomicConcept(AttributeList list)`
`static DisplayableLateralityConcept`
`findLaterality(AttributeList list, DisplayableAnatomicConcept anatomy)`
`static DisplayableViewConcept`
`findView(AttributeList list)`
`static DictionaryOfConcepts`
`getAnatomyConcepts()`
`static DictionaryOfConcepts`
`getLateralityConcepts()`
`static void`
`main(String[] arg)`
Read the DICOM input file and extract anatomical information.
`protected static String[]`
`newStringArray(String... values)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### badLateralityOrViewOrAnatomyPhraseTriggers

protected static String[] badLateralityOrViewOrAnatomyPhraseTriggers

### badLateralityWords

protected static String[] badLateralityWords

### lateralityConceptEntries

protected static DisplayableLateralityConcept[] lateralityConceptEntries

### lateralityConcepts

protected static DictionaryOfConcepts lateralityConcepts

### badViewWords

protected static String[] badViewWords

### viewPositionConceptEntries

protected static DisplayableViewConcept[] viewPositionConceptEntries

### viewPositionConcepts

protected static DictionaryOfConcepts viewPositionConcepts

### badAnatomyWords

protected static String[] badAnatomyWords

### anatomicConceptEntries

protected static DisplayableAnatomicConcept[] anatomicConceptEntries

### anatomyConcepts

protected static DictionaryOfConcepts anatomyConcepts

## Constructor Details

### ProjectionXRayAnatomy

public ProjectionXRayAnatomy()

## Method Details

### newStringArray

protected static String[] newStringArray(String... values)

### getLateralityConcepts

public static DictionaryOfConcepts getLateralityConcepts()

### getAnatomyConcepts

public static DictionaryOfConcepts getAnatomyConcepts()

### findAnatomicConcept

public static DisplayableAnatomicConcept findAnatomicConcept(AttributeList list)

### findView

public static DisplayableViewConcept findView(AttributeList list)

### findLaterality

public static DisplayableLateralityConcept findLaterality(AttributeList list, DisplayableAnatomicConcept anatomy)

### findAmongstGeneralAttributes

public static DisplayableConcept findAmongstGeneralAttributes(AttributeList list, DictionaryOfConcepts concepts, String[] badPhraseTriggers)

### main

public static void main(String[] arg)

Read the DICOM input file and extract anatomical information.

Parameters:
  `arg` - array of one string, the filename to read